Last modified: 2010-04-15 10:28:01 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 18243 - Upload via URL: More meaningful error messages when HTTP error encountered
Upload via URL: More meaningful error messages when HTTP error encountered
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Uploading (Other open bugs)
1.15.x
All All
: Normal enhancement with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: 18563
  Show dependency treegraph
 
Reported: 2009-03-29 05:35 UTC by MER-C
Modified: 2010-04-15 10:28 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description MER-C 2009-03-29 05:35:39 UTC
If I try to upload an image from (say) http://example.com/test.png or http://upload.wikimedia.org/wikipedia/commons/thumb/a/ab/Japon-1886-32.jpg I get the following error message:

The file is corrupt or has an incorrect extension. Please check the file and upload again.

This error message should tell me what really went wrong: a HTTP error.
Comment 1 Michael Dale 2009-04-28 22:39:23 UTC
The new-upload branch does pass along a lot more http errors. But could be tested more and perhaps needs localized message wrapping. 
Comment 2 Bryan Tong Minh 2010-04-15 10:28:01 UTC
Fixed in r65043.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links